Closing a trouble ticket
When the work for a trouble ticket is complete and the issue is resolved, you can close the trouble ticket. To close a trouble ticket, use the following endpoint:
- POST
/billing/v1/trouble-tickets/{troubleTicketId}/close
This endpoint requires no request body. On success, it returns the updated trouble
ticket with ticketStatus set to Closed and the
closeDate and closeUser fields populated.
Note: You cannot close a trouble ticket that is already closed.
For example:
Command
POST /billing/v1/trouble-tickets/bc:301/closeResponse
{
"data": {
"attributes": {
"assignedByUser": {
"displayName": "Super User",
"id": "default_data:1",
"type": "User",
"uri": "/admin/v1/users/default_data:1"
},
"assignedGroup": {
"displayName": "Default Root Group",
"id": "systemTables:1",
"type": "Group",
"uri": "/admin/v1/groups/systemTables:1"
},
"assignedUser": {
"displayName": "Super User",
"id": "default_data:1",
"type": "User",
"uri": "/admin/v1/users/default_data:1"
},
"assignmentDate": "2026-05-11T18:29:34.522Z",
"assignmentStatus": {
"code": "assigned",
"name": "Assigned"
},
"closeDate": "2026-05-12T00:46:59.440Z",
"closeUser": {
"displayName": "Super User",
"id": "default_data:1",
"type": "User",
"uri": "/admin/v1/users/default_data:1"
},
"createTime": "2026-05-11T18:29:34.522Z",
"createUser": {
"displayName": "Super User",
"id": "default_data:1",
"type": "User",
"uri": "/admin/v1/users/default_data:1"
},
"detailedDescription": "Updated description after further investigation.",
"escalated": false,
"escalationDate": "2026-04-01T00:00:00.000Z",
"id": "bc:301",
"priority": {
"code": "high",
"name": "High"
},
"targetDate": "2026-04-15T00:00:00.000Z",
"ticketStatus": "Closed (default_data:1: 05/12/2026)",
"ticketType": {
"code": "processingerror",
"name": "Processing Error"
},
"title": "Processing error on renewal invoice",
"troubleTicketNumber": "1000000001"
},
...
}
}